#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
from django.core.management.base import BaseCommand, CommandError
from catalog.models import Product_l1c, Product_l2a

sys.path.append('../')
from geosentinel import APISentinel, polygonToBox, findProducts


class Command(BaseCommand):

	def add_arguments(self, parser):
		parser.add_argument('wkt', nargs=1, type=str)
		parser.add_argument('startDate', nargs=1, type=str)
		parser.add_argument('endDate', nargs=1, type=str)
		parser.add_argument('platform', nargs=1, type=str)
		parser.add_argument('cloud', nargs=1, type=str)

	def handle(self, *args, **options):
#		options['products']
#		products = options['products'].split()

		products = findProducts.findSentinelProducts(options['wkt'][0], options['startDate'][0], options['endDate'][0], options['platform'][0], options['cloud'][0])
		print products
		pl1c = Product_l1c.objects.all().filter(uuid__in=products)
		print pl1c
		pl2a = Product_l2a.objects.all().filter(prod_l1c__in=pl1c)
		print pl2a
		
		fileList = [ p.file_path for p in pl2a]
		print fileList
#		sentinel = APISentinel.APISentinel('emmhp',  'geoemm29')
#		Product_l2a.objects().all().filter()

#		date   = ("".join(init_date.split('-')), "".join(end_date.split('-')))
#		params = {"platformname": "Sentinel-2"}
#		pol_bbox = polygonToBox.getWKTPolygonBoundingBox(area, True)
#		products = sentinel.getProducts(pol_bbox, date, params)
